import { LoggerQueue } from 'queue/logger.queue'
import { colorConsole } from 'tracer'


declare module Tracer {
  interface Logger<M extends string> {
    db: (name: string, req: any, logObj?: any) => void
  }
}

const level = process.env.NODE_ENV === 'production' ? 'info' : 'log'
const _logger = colorConsole({ dateformat: 'yyyy-mm-dd HH:MM:ss.L', level })
Object.assign(_logger, {
  db: (name: string, req: any, logObj?: any) => {
    logObj = logObj || {}
    new LoggerQueue().addLog(name, req, logObj)
  }
})
export const logger = _logger
